Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
test-suites
/
{testSuiteId}
/
run
Run test suite
curl --request POST \
  --url https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/run \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "testSuiteId": "<string>",
    "projectId": "<string>",
    "name": "<string>",
    "startedAt": "2023-11-07T05:31:56Z",
    "completedAt": "2023-11-07T05:31:56Z",
    "testCaseResults": [
      {
        "id": "<string>",
        "testResultId": "<string>",
        "testCaseId": "<string>",
        "messages": [
          {
            "id": "<string>",
            "testCaseResultId": "<string>",
            "content": "<string>",
            "timestamp": "2023-11-07T05:31:56Z"
          }
        ],
        "criteriaResults": [
          {
            "id": "<string>",
            "testCaseResultId": "<string>",
            "criterionId": "<string>",
            "passed": true,
            "reason": "<string>"
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Developer key created from the dashboard (Settings → Developer Keys)

Path Parameters

projectId
string
required

The ID of your project

testSuiteId
string
required

The test suite ID

Response

Accepted — run started

data
object
required